services:
  nextcloud:
    image: linuxserver/nextcloud:33.0.0
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTPS}:443"
    volumes:
      - "./data/config:/config"
      - "./data/data:/data"
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=${TIME_ZONE}
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
